Cannot create CentOS7 image

Bug #1477172 reported by Pedro Sousa on 2015-07-22
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
diskimage-builder
High
Abel Lopez

Bug Description

Procedure tested in a CentOS7.1 host:

# git clone https://git.openstack.org/openstack/diskimage-builder.git
# git clone https://git.openstack.org/openstack/tripleo-image-elements.git
# git clone https://git.openstack.org/openstack/heat-templates.git

#export ELEMENTS_PATH=tripleo-image-elements/elements:heat-templates/hot/software-config/elements

#export BASE_ELEMENTS="centos7 selinux-permissive"
#export AGENT_ELEMENTS="os-collect-config os-refresh-config os-apply-config"
#export DEPLOYMENT_BASE_ELEMENTS="heat-config heat-config-script"
#export DEPLOYMENT_TOOL="heat-config-cfn-init heat-config-puppet"
#export IMAGE_NAME=centos7-software-config

#yum -y install dib-utils

Results:

+ echo 'DIB_YUM_REPO_CONF is not set - no repo configuration will be copied in'
DIB_YUM_REPO_CONF is not set - no repo configuration will be copied in
+ exit 0
dib-run-parts Wed Jul 22 15:08:15 WEST 2015 99-yum-repo-conf completed
----------------------- PROFILING -----------------------

Target: extra-data.d

Script Seconds
--------------------------------------- ----------

10-create-pkg-map-dir 0.078
10-merge-svc-map-files 0.077
11-copy-svc-map-file 0.014
20-manifest-dir 0.013
50-store-build-settings 0.003
75-inject-pip-manifests 0.013
98-source-repositories 1.792
99-enable-install-types 0.019
99-squash-package-install 0.118
99-yum-repo-conf 0.003

--------------------- END PROFILING ---------------------
dib-run-parts Wed Jul 22 14:08:16 UTC 2015 Running /tmp/in_target.d/pre-install.d/00-fix-requiretty
/etc/sudoers: parsed OK
dib-run-parts Wed Jul 22 14:08:16 UTC 2015 00-fix-requiretty completed
dib-run-parts Wed Jul 22 14:08:16 UTC 2015 Running /tmp/in_target.d/pre-install.d/00-usr-local-bin-secure-path
dib-run-parts Wed Jul 22 14:08:16 UTC 2015 00-usr-local-bin-secure-path completed
dib-run-parts Wed Jul 22 14:08:16 UTC 2015 Running /tmp/in_target.d/pre-install.d/01-override-yum-arch
/tmp/in_target.d/pre-install.d/01-override-yum-arch: line 28: DIB_RELEASE: unbound variable

Abel Lopez (al592b) on 2015-07-23
Changed in diskimage-builder:
status: New → Confirmed
assignee: nobody → Abel Lopez (al592b)

Fix proposed to branch: master
Review: https://review.openstack.org/205252

Changed in diskimage-builder:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/205252
Committed: https://git.openstack.org/cgit/openstack/diskimage-builder/commit/?id=570ecf16a593a6dc75e2ad0f31b28043aaa548ed
Submitter: Jenkins
Branch: master

commit 570ecf16a593a6dc75e2ad0f31b28043aaa548ed
Author: Abel Lopez <email address hidden>
Date: Thu Jul 23 12:26:53 2015 -0700

    Set and export DIB_RELEASE for centos7

    The default value was set in the centos7 element, but not
    exported, which caused issues in rpm-distro. Also changed
    a test in rpm-distro to only check for DIB_RELEASE > 22
    if it's fedora.

    Closes-Bug: #1477172

    Change-Id: Ib6f4227411c2e8f1965c3b78bc318512c59a7876

Changed in diskimage-builder:
status: In Progress → Fix Committed
Ben Nemec (bnemec) on 2015-08-10
Changed in diskimage-builder:
importance: Undecided → High
Peter Nordquist (spacerecycler) wrote :

After the change implemented above, I can't seem to set DIB_RELEASE outside of diskimage-builder and have it build with that image. I'm guessing I can fix that by setting DIB_CLOUD_IMAGES and BASE_IMAGE_FILE outside of diskimage-builder. Can you default DIB_RELEASE to GenericCloud but allow it to be set from outside diskimage-builder?

Changed in diskimage-builder:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers